Skip to content

Generates an order from a fundraising pledge

Request

This method will examine a fundraising pledge and generate an appropriate order

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed

Bodyapplication/jsonrequired

The pledge to generate an order

amountnumber, (float)(Amount)required

Gift amount

anonymousboolean(Anonymous)

Anonymous

appeal_idstring(Appeal)

The id for the appeal associated with the gift

campaign_idstring(Campaign)

The id for the campaign associated with the gift

contact_idstring(Contact)required

The rolodex contact id for the gift giver

cover_transaction_costsboolean(Cover Transaction Costs)

If selected, the donor covers the transaction fees

currency_codestring(Currency Code)

The currency code of the gift

currency_symbolstring(Currency Symbol)

Currency

custom_field_valuesArray of objects(Custom Field Values)
donor_typestring(Donor Type)required

The donor type for the gift

Enum:"contact""organization"
fund_idstring(Fund)required

The id for the fund associated with the gift

giving_process_idstring(Giving Process)

The process of that led to the gift

has_splitsboolean(Has Splits)

If true, this gift is split into different funds

installment_plan_idstring(Installment Plan)required

The installment plan for the pledge

notesstring(Notes)

Notes about the gift

organization_idstring(Organization)required

The organization id associated with this gift

premium_assignmentstring(Premium Assignment)
Enum:"assigned""declined by donor""not applicable"
premium_fair_market_valuenumber, (float)(Premium Fair Market Value)

The amount of any premiums associated with the gift

premium_idstring(Premium)

If the user has selected a premium it is here

shipping_addressobject(Address)

A complete address

splitsArray of objects

An array of fund allocations for this gift

tribute_giftboolean(Tribute Gift)

Whether or not this is a tribute gift

tribute_gift_infoobject(Tribute Gift Info)
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/pledges/{tenantId}/generateOrder' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "amount": 0.1,
    "anonymous": true,
    "appeal_id": "string",
    "campaign_id": "string",
    "contact_id": "string",
    "cover_transaction_costs": true,
    "currency_code": "string",
    "currency_symbol": "string",
    "custom_field_values": [
      {
        "boolean_value": true,
        "custom_field_id": "string",
        "file_url_value": "string",
        "list_value": [
          "string"
        ],
        "numeric_value": 0.1,
        "string_value": "string",
        "table_value": [
          {}
        ]
      }
    ],
    "donor_type": "contact",
    "fund_id": "string",
    "giving_process_id": "string",
    "has_splits": true,
    "installment_plan_id": "string",
    "notes": "string",
    "organization_id": "string",
    "premium_assignment": "assigned",
    "premium_fair_market_value": 0.1,
    "premium_id": "string",
    "shipping_address": {
      "city": "string",
      "country": "string",
      "country_name": "string",
      "county": "string",
      "latitude": 0.1,
      "line1": "string",
      "line2": "string",
      "line3": "string",
      "longitude": 0.1,
      "postal_code": "string",
      "state": "string",
      "time_zone_id": "string"
    },
    "splits": [
      {
        "amount": 0.1,
        "fund_id": "string"
      }
    ],
    "tribute_gift": true,
    "tribute_gift_info": {
      "address": {
        "city": "string",
        "country": "string",
        "country_name": "string",
        "county": "string",
        "latitude": 0.1,
        "line1": "string",
        "line2": "string",
        "line3": "string",
        "longitude": 0.1,
        "postal_code": "string",
        "state": "string",
        "time_zone_id": "string"
      },
      "contact_id": "string",
      "details": "string",
      "email_address": "user@example.com",
      "inform_honoree": true,
      "inform_honoree_by": "email",
      "message": "string",
      "name": "string",
      "type": "in honor of"
    }
  }'

Responses

Conflicts were retrieved successfully

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
object
Response
{}